Bug 1720589 - Pivot table fails to refresh or create from mariadb database table
Summary: Pivot table fails to refresh or create from mariadb database table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-14 09:55 UTC by Anil Seth
Modified: 2019-06-18 18:14 UTC (History)
4 users (show)

Fixed In Version: libreoffice-6.2.4.2-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 18:14:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshots of the current and previous version pop-up screens (110.00 KB, application/x-tar)
2019-06-14 09:55 UTC, Anil Seth
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Document Foundation 125808 0 None None None 2019-06-14 11:36:29 UTC

Description Anil Seth 2019-06-14 09:55:31 UTC
Created attachment 1580636 [details]
Screenshots of the current and previous version pop-up screens

Description of problem:
Libreoffice calc chosing the option Data/Pivot Table/Refresh clears the existing data. If I try to create a pivot table, it shows no columns available. The problem showed up with the upgrade to 6.2.4.2-1.fc30.x86_64.

Reverting to version 6.2.3.2-1.fc30.x86_64 makes the problem go away.

Version-Release number of selected component (if applicable):
6.2.4.2-1.fc30.x86_64 and 6.2.4.2-2.fc30.x86_64

How reproducible:
Consistent

Steps to Reproduce:
1.Using Mariadb, Create a table NAV in testdb, with columns id, value
2.Install libreoffice-base if not already present
3.Use base to connect to a mysql database. testdb using jdbc connection and register the database as NAVDB.
4.Create a new spreadsheet.
5.Create a Pivot Table(Data/Pivot option) using Data Source registered in LibreOffice
6. Select NAVDB Table dbname.nav

Actual results:
The pop-up page shows up with an empty list of Available Fields.


Expected results:
The pop-up page should show 2 available fields - id and value

Additional info:

Comment 1 Caolan McNamara 2019-06-14 11:36:29 UTC
This looks a lot like https://bugs.documentfoundation.org/show_bug.cgi?id=125808 which I fixed upstream during the week

Comment 2 Fedora Update System 2019-06-15 20:52:33 UTC
FEDORA-2019-65570a4e9e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-65570a4e9e

Comment 3 Fedora Update System 2019-06-16 00:54:27 UTC
libreoffice-6.2.4.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-65570a4e9e

Comment 4 Fedora Update System 2019-06-18 18:14:35 UTC
libreoffice-6.2.4.2-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.